local L = AceLibrary("AceLocale-2.2"):new("GridStatusPvP")

--{{{ Localization

L:RegisterTranslations("enUS", function()
	return {
		["PvP"] = true,
		["<PvP>"] = true,
		["PvP alert"] = true,
	}
end)

---}}}

GridStatusPvP = GridStatus:NewModule("GridStatusPvP")
GridStatusPvP.menuName = L["PvP"]

--{{{ AceDB defaults

GridStatusPvP.defaultDB = {
	debug = false,
	alert_pvp = {
		text =  L["<PvP>"],
		enable = false,
		color = { r = 0.0, g = 1.0, b = 1.0, a = 0.75 },
		priority = 20,
		range = false,
	},
}

--}}}

GridStatusPvP.options = false

function GridStatusPvP:OnInitialize()
	self.super.OnInitialize(self)
	self:RegisterStatus("alert_pvp", L["PvP alert"], nil, true)
end

function GridStatusPvP:OnEnable()
	self:RegisterEvent("UNIT_FACTION")
	self:RegisterEvent("Grid_UnitJoined")
end

function GridStatusPvP:UNIT_FACTION(unitid)
	local settings = self.db.profile.alert_pvp
	if string.find(unitid, "pet") then return end

	if UnitIsPVP(unitid) then
		self.core:SendStatusGained(UnitName(unitid), "alert_pvp",
						settings.priority,
						(settings.range and 40),
						settings.color,
						settings.text,
						nil,
						nil,
						settings.icon)
	else
		self.core:SendStatusLost(UnitName(unitid), "alert_pvp")
	end
end

function GridStatusPvP:Grid_UnitJoined(name,unitid)
	self:UNIT_FACTION(unitid)
end